Package Details: sogo 4.3.2-1

Git Clone URL: https://aur.archlinux.org/sogo.git (read-only, click to copy)
Package Base: sogo
Description: groupware server built around OpenGroupware.org (OGo) and the SOPE application server
Upstream URL: http://www.sogo.nu/
Licenses: GPL
Replaces: sogo2
Submitter: DJ_L
Maintainer: deons
Last Packager: deons
Votes: 10
Popularity: 0.78
First Submitted: 2016-05-05 01:05
Last Updated: 2020-05-11 14:49

Dependencies (16)

Required by (0)

Sources (4)

Latest Comments

1 2 3 4 5 6 Next › Last »

DJ_L commented on 2020-05-31 22:56

The dependency for sope should be gnustep-base<=1.27.0. The dependency for sogo is sope>=4.3.2. The patches work as advertised.

FrederickZh commented on 2020-05-26 08:27

There are patches available for gnustep-base 1.27.0 and GCC 10 at https://sogo.nu/bugs/view.php?id=5029.

sope-4.3.2-1.patch

diff --git a/PKGBUILD b/PKGBUILD
index 1323b51..cbe223a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -10,9 +10,9 @@ arch=('x86_64')
 url="http://www.sogo.nu/files/downloads/SOGo/Sources/"
 license=('GPL')
 options=('!strip')
 replaces=('sope2')
-depends=('gnustep-base<=1.26.0')
+depends=('gnustep-base')
 makedepends=('gcc-objc'
              'gnustep-make'
              'libxml2'
              'libmariadbclient'

sogo-4.3.2-1.patch

diff --git a/.SRCINFO b/.SRCINFO
index ceb858a..45ddcce 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -27,12 +27,16 @@ pkgbase = sogo
    backup = etc/sogo/sogo.conf
    backup = etc/httpd/conf/extra/SOGo.conf
    backup = etc/conf.d/sogo
    source = http://www.sogo.nu/files/downloads/SOGo/Sources/SOGo-4.3.2.tar.gz
+   source = patch-gnustep-base-1.27.patch::https://sogo.nu/bugs/file_download.php?file_id=2190&type=bug
+   source = gcc10-fix.patch::https://sogo.nu/bugs/file_download.php?file_id=2189&type=bug
    source = sogo.service
    source = sogo.confd
    source = sogo_configure.patch
    sha256sums = ecf22e7763a3113ac86a891abbd0e50f7eac19275428798c34cf742cc83a446b
+   sha256sums = 663a9887ce7b31d6d6f4a54e7fe2d84dc2a569a5844a3194f8b9d7ee479f7c67
+   sha256sums = 3ed561519ad2a635869dd1d961329b557e1fa8fff0b0c4bc7e0b40926a35b13a
    sha256sums = 0720b9ad35a05d86d794c7adbf18277ecde57ed147e96f6105acca93f19d3b8c
    sha256sums = 8ee0d1ad77e998ea801053fce175d8c4a1c55dcc5ee1ff78f0a8e3797187a6a7
    sha256sums = e64ea4aa0ddf29785de8d786ab7ab09f940bfe316b6f1deeb8d04d9d16d35db1

diff --git a/PKGBUILD b/PKGBUILD
index 1828037..8876087 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -12,9 +12,9 @@ license=('GPL')
 options=('!strip')
 replaces=('sogo2')
 install=sogo.install
 makedepends=('gcc-objc'
-             'gnustep-make<=1.26.0')
+             'gnustep-make')
 depends=("sope>=${pkgver}" 
          'gnustep-base'
          'libmemcached'
          'memcached'
@@ -31,19 +31,25 @@ optdepends=('postgresql: run database server for sogo locally'
 backup=('etc/sogo/sogo.conf'
         'etc/httpd/conf/extra/SOGo.conf'
         'etc/conf.d/sogo')
 source=("http://www.sogo.nu/files/downloads/SOGo/Sources/SOGo-${pkgver}.tar.gz"
+        "patch-gnustep-base-1.27.patch::https://sogo.nu/bugs/file_download.php?file_id=2190&type=bug"
+        "gcc10-fix.patch::https://sogo.nu/bugs/file_download.php?file_id=2189&type=bug"
         "sogo.service"
         "sogo.confd"
         "sogo_configure.patch")
 sha256sums=('ecf22e7763a3113ac86a891abbd0e50f7eac19275428798c34cf742cc83a446b'
+            '663a9887ce7b31d6d6f4a54e7fe2d84dc2a569a5844a3194f8b9d7ee479f7c67'
+            '3ed561519ad2a635869dd1d961329b557e1fa8fff0b0c4bc7e0b40926a35b13a'
             '0720b9ad35a05d86d794c7adbf18277ecde57ed147e96f6105acca93f19d3b8c'
             '8ee0d1ad77e998ea801053fce175d8c4a1c55dcc5ee1ff78f0a8e3797187a6a7'
             'e64ea4aa0ddf29785de8d786ab7ab09f940bfe316b6f1deeb8d04d9d16d35db1')

 prepare() {
   cd "$srcdir/SOGo-${pkgver}"
   patch configure ../sogo_configure.patch
+  patch -p1 <"$srcdir/gcc10-fix.patch"
+  patch -p1 <"$srcdir/patch-gnustep-base-1.27.patch"
 }

 build() {
   cd "$srcdir/SOGo-${pkgver}"

FrederickZh commented on 2020-05-26 07:16

@deons It's got gnustep-make<=1.26.0 in makedepends right now. Should it be gnustep-base<=1.26.0 or gnustep-make<=2.7.0 actually?

And btw it doesn't build with GCC 10 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=957826

deons commented on 2020-05-11 14:51

Package updated but will only successfully compile with gnustep-base 1.26.0 for the moment. Busy with a patch to make it work with gnustep-base 1.27.0

deons commented on 2020-05-11 13:04

Hi all,

I am busy working on version 4.3.2, busy attending to some compiling issues.

DJ_L commented on 2019-02-04 01:10

Yes, you'll have to rebuild SOPE and SOGo against the new version.

chetwisniewski commented on 2019-02-02 23:37

This package breaks reading emails on webmail on upgrade to GNUStep 1.26. I downgraded to gnustep-base-1.25.1-4 to fix.

a_manthey commented on 2018-12-15 21:26

DJ_L -sorry, i saw your comment just now. Since 4 months i run it without any problems on rpi3 armv7 for my family network.

DJ_L commented on 2018-11-18 21:14

a_manthey - you stated specifically that it builds. Let us know if it runs acceptably and it can be added. A bit busy now, but I'll get to work on a Pi build in a couple of weeks. I've got a handful of them sitting around doing nothing ATM.

a_manthey commented on 2018-11-17 10:34

builds on raspberry pi3 too if armv7h is added to arch in PKGBUILD